Page 1 of 2 12 LastLast
Results 1 to 10 of 11
  1. #1
    Join Date
    Sep 2017
    Location
    Oregon
    Posts
    4
    Plugin Contributions
    0

    Default V1.5.5e No paypal setup

    I use to be able to select modules, then payments and paypal would be at the bottom. It is no longer thereName:  Screen Shot 2017-09-04 at 2.59.36 PM.jpg
Views: 51
Size:  22.6 KB what wrong?
    I have uploaded this 4 times, same result and yes I am in the US. What do I need????


    Guy

  2. #2
    Join Date
    Jul 2012
    Posts
    11,632
    Plugin Contributions
    13

    Default Re: V1.5.5e No paypal setup

    Missing a few pieces of information related to posting (please see the posting tips that appear when posting a message), but I think I might be able to guess what has happened.

    Previous install of ZC has been upgraded, but the linkpoint_api.php payment module was not removed from the fileset and likely the php version has been upgraded as well...

    Even if I'm wrong, the first thing to do when presented with a blank or partial blank page is to follow the guidance of this FAQ: http://www.zen-cart.com/content.php?124-blank-page
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  3. #3
    Join Date
    Sep 2017
    Location
    Oregon
    Posts
    4
    Plugin Contributions
    0

    Default Re: V1.5.5e No paypal setup

    this what I got for an error [04-Sep-2017 14:59:28 America/Phoenix] PHP Parse error: syntax error, unexpected '[' in /home/content/G/u/y/GuysWeb/html/Vicki_Bows/includes/modules/payment/payeezyjszc.php on line 158 I believe it is this code below
    // Payeezy currently only accepts "American Express", "Visa", "Mastercard", "Discover", "JCB", "Diners Club"
    $cc_types = [];

    What else do you need?

    Guy

  4. #4
    Join Date
    Jul 2012
    Posts
    11,632
    Plugin Contributions
    13

    Default Re: V1.5.5e No paypal setup

    Quote Originally Posted by Onelotusguy View Post
    this what I got for an error [04-Sep-2017 14:59:28 America/Phoenix] PHP Parse error: syntax error, unexpected '[' in /home/content/G/u/y/GuysWeb/html/Vicki_Bows/includes/modules/payment/payeezyjszc.php on line 158 I believe it is this code below
    // Payeezy currently only accepts "American Express", "Visa", "Mastercard", "Discover", "JCB", "Diners Club"
    $cc_types = [];

    What else do you need?

    Guy
    Or I could be completely wrong in the guess I made. :)

    Php version would be the other "issue". If you can, it would be suggested to increase your php version to at least 5.6, preferably 7.x, but that could affect other things on your site. You could also rename the associated file's extension to say .php~ if you don't need to use payeezy.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  5. #5
    Join Date
    Sep 2017
    Location
    Oregon
    Posts
    4
    Plugin Contributions
    0

    Default Re: V1.5.5e No paypal setup

    I am stuck with godaddy at php 5.5.

    is their a fix for this?

    This is where the error was on line 158, and here is the code.

    $cc_types = [];

    if (CC_ENABLED_VISA == 1) {
    $cc_types[] = ['id' => 'Visa', 'text' => 'Visa'];
    }
    if (CC_ENABLED_MC == 1) {
    $cc_types[] = ['id' => 'Mastercard', 'text' => 'Mastercard'];
    }
    if (CC_ENABLED_DISCOVER == 1) {
    $cc_types[] = ['id' => 'Discover', 'text' => 'Discover'];
    }
    if (CC_ENABLED_AMEX == 1) {
    $cc_types[] = ['id' => 'American Express', 'text' => 'American Express'];
    }
    if (CC_ENABLED_JCB == 1) {
    $cc_types[] = ['id' => 'JCB', 'text' => 'JCB'];
    }
    if (CC_ENABLED_DINERS_CLUB == 1) {
    $cc_types[] = ['id' => 'Diners Club', 'text' => 'Diners Club'];
    }

    // Prepare selection of expiry dates
    for ($i = 1; $i < 13; $i++) {
    $expires_month[] = ['id' => sprintf('%02d', $i), 'text' => strftime('%B - (%m)', mktime(0, 0, 0, $i, 1, 2000))];
    }
    $today = getdate();
    for ($i = $today['year']; $i < $today['year'] + 15; $i++) {
    $expires_year[] = ['id' => strftime('%y', mktime(0, 0, 0, 1, 1, $i)), 'text' => strftime('%Y', mktime(0, 0, 0, 1, 1, $i))];
    }


    Guy

  6. #6
    Join Date
    Jul 2012
    Posts
    11,632
    Plugin Contributions
    13

    Default Re: V1.5.5e No paypal setup

    Are you sure that ZC is seeing php 5.5? That array syntax ($var = []; replaces $var = array();) has been possible since php 5.4... please verify that when logging into the admin and selecting version in the upper right hand corner (or in dropdown menu when accessed by small resolution) that ZC is reporting php version 5.5.

    Otherwise if there is a need to use the payeezy application, the associate [] brackets where necessary could be revised to the "old" method of access to temporarily make it possible to use. If not needed, then like said, rename the payment modules associated with payeezy in the includes/modules/payment directory so that they are not accessed (which requires modifying the extension from .php to something else or completely removing the file(s)).
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  7. #7
    Join Date
    Jul 2012
    Posts
    11,632
    Plugin Contributions
    13

    Default Re: V1.5.5e No paypal setup

    So an example of such an edit would be:
    Code:
    $cc_types = array();
    
    if (CC_ENABLED_VISA == 1) {
    $cc_types[] = array('id' => 'Visa', 'text' => 'Visa');
    }
    With that type of substitution throughout where such an assignment is made. I believe DrByte has said that there are quite a few locations to do that, but it seems like there is an issue with the appropriate php version being applied to the store causing this. Even if the cPanel shows version 5.5, the site should not have a problem processing that command.

    Other things of interest would be was the site installed using an auto-loader or a manual upload of a version of the software obtained from the zen-cart.com website?
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  8. #8
    Join Date
    Sep 2017
    Location
    Oregon
    Posts
    4
    Plugin Contributions
    0

    Default Re: V1.5.5e No paypal setup

    I think this is the problem ======PHP Version: 5.3.24

    Can I upgrade the php without disturbing zencart, that is on the web?


    Guy

  9. #9
    Join Date
    Nov 2007
    Location
    Sunny Coast, Australia
    Posts
    3,440
    Plugin Contributions
    9

    Default Re: V1.5.5e No paypal setup

    Quote Originally Posted by Onelotusguy View Post
    I am stuck with godaddy at php 5.5.

    is their a fix for this?....
    Yes, there is fix for this (and I am NOT joking): move away from GoDaddy and get yourself a decent and sophisticated host where you have a PHP selector which lets you change your PHP version to the latest (7.1.x at time of writing this).

    I have had this issue with a number of clients where they hosted with GoDaddy who persistently refused to upgrade their PHP version to at least 5.6.x - so as mentioned above, this is NO joke (even though it is a joke from GoneDaddy's side).

    Just FYI, PHP 5.5.x is not supported any longer.

    Only my 5 cents....

  10. #10
    Join Date
    Jul 2012
    Posts
    11,632
    Plugin Contributions
    13

    Default Re: V1.5.5e No paypal setup

    Quote Originally Posted by Onelotusguy View Post
    I think this is the problem ======PHP Version: 5.3.24

    Can I upgrade the php without disturbing zencart, that is on the web?


    Guy
    From where I *sit* the answer is yes you can upgrade the php version with no ill affect on a vanilla ZC version 1.5.5e. Throw in plugins, other software you might be running on your site, etc... and the answer becomes less so known. Ideally all of those/that are up-to-date for the span of versions supported by ZC (see the server requirements on the main page of this site: https://zen-cart.com).

    As to being stuck with godaddy.... I can't disagree with frank on the recommendation to move away from them as a ZC host. It may not be what you want to hear, but think about the time and energy that could be saved by working on a platform that just works which in ecommerce turns into money made.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

 

 
Page 1 of 2 12 LastLast

Similar Threads

  1. PayPal setup question?
    By sykes48 in forum PayPal Express Checkout support
    Replies: 1
    Last Post: 9 Dec 2008, 02:11 PM
  2. Paypal Setup????
    By laurieudy in forum Templates, Stylesheets, Page Layout
    Replies: 2
    Last Post: 21 Jul 2008, 04:17 AM
  3. Paypal setup
    By egghed in forum PayPal Express Checkout support
    Replies: 1
    Last Post: 25 Jun 2007, 04:56 PM
  4. paypal setup
    By mex in forum Templates, Stylesheets, Page Layout
    Replies: 1
    Last Post: 28 Mar 2007, 04:42 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR